API referenceCompliance

Remove a number from the do-not-contact list

DELETE
/v2/dnc/{id}

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The entry id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

Removed.

application/json
  1. response
id*string
Formatuuid
deleted*true
Value intrue
Example Request
curl -X DELETE 'https://app.gauge.chat/backend/v2/dnc/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "deleted": true}